let host = "tegakituesday.com"; in {
  services.nginx.virtualHosts."www.${host}" = {
    enableSSL = true;
    enableACME = true;
    globalRedirect = host;
  };
  services.nginx.virtualHosts."${host}" = {
    forceSSL = true;
    enableACME = true;
    extraConfig = ''
      error_page 502 /502.html;
    '';
    locations = {
      "/" = {
        proxyPass = with import ../../../../modules/tailscale/default.nix; "http://${elnuhub}:3335";
        proxyWebsockets = true;
      };
      "/502.html".root = "${./502}";
      "/mascot.png".root = "${./502}";
      "/missing.min.css".root = "${../shared/502}";
    };
  };
}